import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

// modules
import client from "./modules/client/store";

export default new Vuex.Store({
  state: {
    user: {},
    domain: ""
  },
  mutations: {
    setUser(state, user) {
      state.user = user;
    },
    setDomain(state, domain) {
      state.domain = domain;
    },
    setSchoolCode(state, schoolCode) {
      state.schoolCode = schoolCode;
    }
  },
  actions: {},
  modules: {
    client
  }
});
